#include "Rtusbapi.h"
#pragma argsused

// идентификатор программного модуля
static HINSTANCE hInstance;

//------------------------------------------------------------------------
// точка входа в библиотеку
//------------------------------------------------------------------------
#if defined (__BORLANDC__)
BOOL WINAPI DllEntryPoint(HINSTANCE hInst, DWORD fdwReason, LPVOID /*lpvReserved*/)
#else
BOOL WINAPI DllMain(HINSTANCE hInst, DWORD fdwReason, LPVOID /*lpvReserved*/)
#endif
{
	if(fdwReason == DLL_PROCESS_ATTACH)
		// сохраним идентификатор программного модуля
		hInstance = hInst;

	return TRUE;
}

//------------------------------------------------------------------------
// возвращает текущую версию основной библиотеки Rtusbapi.dll
//------------------------------------------------------------------------
extern "C" DWORD WINAPI GetDllVersion_Rtusbapi(void)
{
	return RtGetDllVersion();
}

//------------------------------------------------------------------------------
// создание экземпляра
//------------------------------------------------------------------------------
extern "C" LPVOID WINAPI CreateInstance_Rtusbapi(PCHAR const DeviceName)
{
	return RtCreateInstance(DeviceName);
}

